VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::FolderTypes::Type Class Reference

The `Folder.Type` enumerated type defines the type of a vCenter Server folder. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DATACENTER, DATASTORE, HOST, NETWORK, VIRTUAL_MACHINE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | DATACENTER = new Type("DATACENTER", Values.DATACENTER)
| A folder that can contain datacenters.
static readonly Type | DATASTORE = new Type("DATASTORE", Values.DATASTORE)
| A folder that can contain datastores.
static readonly Type | HOST = new Type("HOST", Values.HOST)
| A folder that can contain compute resources (hosts and clusters).
static readonly Type | NETWORK = new Type("NETWORK", Values.NETWORK)
| A folder that can contain networkds.
static readonly Type | VIRTUAL_MACHINE = new Type("VIRTUAL_MACHINE", Values.VIRTUAL_MACHINE)
| A folder that can contain virtual machines.

## Detailed Description

The `Folder.Type` enumerated type defines the type of a vCenter Server folder.

The type of a folder determines what what kinds of children can be contained in the folder.

## Member Enumeration Documentation

enum vmware::vcenter::FolderTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DATACENTER | A folder that can contain datacenters.
  DATASTORE | A folder that can contain datastores.
  HOST | A folder that can contain compute resources (hosts and clusters).
  NETWORK | A folder that can contain networkds.
  VIRTUAL_MACHINE | A folder that can contain virtual machines.

## Member Function Documentation

Values vmware::vcenter::FolderTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::FolderTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::FolderTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::FolderTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::FolderTypes::Type::DATACENTER = new Type("DATACENTER", Values.DATACENTER)`[static]`

A folder that can contain datacenters.

readonly Type vmware::vcenter::FolderTypes::Type::DATASTORE = new Type("DATASTORE", Values.DATASTORE)`[static]`

A folder that can contain datastores.

readonly Type vmware::vcenter::FolderTypes::Type::HOST = new Type("HOST", Values.HOST)`[static]`

A folder that can contain compute resources (hosts and clusters).

readonly Type vmware::vcenter::FolderTypes::Type::NETWORK = new Type("NETWORK", Values.NETWORK)`[static]`

A folder that can contain networkds.

readonly Type vmware::vcenter::FolderTypes::Type::VIRTUAL_MACHINE = new Type("VIRTUAL_MACHINE", Values.VIRTUAL_MACHINE)`[static]`

A folder that can contain virtual machines.

The documentation for this class was generated from the following file:

- FolderTypes.cs